Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.convexity.tools/v1/tokens/holders \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.convexity.tools/v1/tokens/holders"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.convexity.tools/v1/tokens/holders', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "status": true, "message": "Balances retrieved successfully", "data": { "tokenId": "019eda71-9501-70eb-bd89-6e23ad6002ac", "ticker": "BND", "chain": "BASE", "total": 2, "page": 1, "pageSize": 20, "items": [ { "walletAddress": "0xd4449dB2BC50A0C2B9dA5780161308e644aEc13d", "balance": "6.0" }, { "walletAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44", "balance": "994.0" } ] } }
Returns the paginated list of holder wallet addresses and balances for a token on a chain.
OAuth 2.0 access token from Auth-Edge.
Token id.
Chain to read balances on (e.g. BASE).
BASE
OK
The response is of type object.
object